<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>HTML Forms</title>
</head>
<body>
	<h2 align="center">Welcome to the Forms Page</h2>
	<!-- Semantic Tags

		New additions to HTML. Semantic tags are also containers for element but nulike divs they are definitive of its content without relying to semantic id. However, em , strong, they are also semantic tags as they are used over <i></i><b></b> 

		Semantic containers such as nav,main,section are more preferred by developers now because it aids in better SEO, as well developers themselves because each tag now clearly defines what is the content to be added.-->
		<!-- nav is a semantic container which contains navigation links. -->
	<nav>
		<a href="./index.html">Go To Index.html</a>
		<a href="./table.html">Go To Table.html</a>
		<a href="../activity/contact.html">Go To Contact.html</a>
	</nav>
	<!-- main is a semantic container used to show the main content of a page. -->
	<main>
		<!-- sections are used to show parts of a page -->
		<section>
			<h2>HTML Forms</h2>
			<p>HTML Forms are used to gather info or data from our user and send that info to a server.</p>
		</section>
		<section>
			<!-- 

				form tag allows us to create a form.

				 action att in a form will allow us to pass/submit the data to the server of the url that is given.

				 label tag allow us to create an element that serves as a label or indicator to the input. 

				 add a "for" att to the label will allow us to associate the label element to a particular input element.
				 for att is passed the id of the particular input element to associate it.

				 input tag creates input to add user input.
				It can have many types to allow the add of different kinds of data

				type att in input elements allows us to identify what kind of info

				name att provide name or identifier for the VALUE of the input element. It allows us to properly identify the value of an input in our form.

				id att not only provides unique identifier for the element, its also used by the label to associate with.

				required att allows us to check if the input has been filled and if not the form cant be submitted

				autocomplete att provides suggestion for inputs and allows for the better user experience.

				input type date change the behavior of an input element and only allows the input of dates.

				buttons are used to interact with our pages we can either have the button trigger an action, reset a form or submit the form.

				type att to a button to indicate the action it will do. Buttons in a form can submit the form. This is why we add a type att to differentiate the actionsbuttons can do in a form.

				input type number change the behavior of an input element and only allows the input of no.

				min att input type no.sets the min no. we can input

				max att to input type no. sets the max no. wecan input

				select tag allows us to create a drop down menu with choices

				option tag allows us to create the option or choices available for our select tag.

				value att to provide the value or data per option. This is done because options cannot be typed into and receive input.

				input type radio allows us to create a radio button and provide users a single choice to pick.

				checkbox will create a checkbox for a multiple selection among multiple choices.
				-->
			<form action="https://google.com">
				<!-- full name -->
				<label for="fname">Full Name:</label>
				<br>
				<input type="text" name="fullname" id="fname" required autocomplete>
				<br>
				<!-- birthdate -->
				<label for="bdate">Birthdate:</label>
				<br>
				<input type="date" name="birthday" id="bdate" required>
				<br>
				<!-- age -->
				<label for="ageInput">Age:</label>
				<br>
				<input type="number" name="age" id="ageInput" min="18" max="40" required>
				<br>
				<!-- gender -->
				<label for="genderInput">Gender</label>
				<br>
				<select name="gender" id="genderInput">
					<option value="male">Male</option>
					<option value="female">Female</option>
					<option value="other">Other</option>
				</select>
				<br>
				<!-- radio -->
				<label>New User?</label>
				<br>
				<input type="radio" name="new_user" id="radioUser1" value="yes">
				<label for="radioUser1">Yes</label>
				<br>
				<input type="radio" name="new_user" id="radioUser2" value="no">
				<label for="radioUser2">No</label>
				<br>
				<!-- checkbox -->
				<label>Role:</label>
				<br>
				<input type="checkbox" name="role1" id="roleInput1" value="developer">
				<label for="roleInput1">Developer</label>
				<br>
				<input type="checkbox" name="role2" id="roleInput2" value="student">
				<label for="roleInput2">Student</label>
				<br>
				<input type="checkbox" name="role3" id="roleInput3" value="manager">
				<label for="roleInput3">Manager</label>
				<br>
				<button type="submit">Submit</button>
				<button type="reset">Reset</button>
				
			</form>
		</section>
	</main>
	
</body>
</html>